# -*- coding: utf-8 -*-
"""
@author：zhaiht
@file：  params.py
@time：  2020/8/11 15:08
@desc：
"""

import time
from config.envcfg import prod
from common import randomUtil

params_install = {
    "what": 'install',
    "appid": prod['events']['appkey'],
    "context": {
        "_carrier": "中国联通",
        "_network_type": "5G",
        "_ryosversion": "10.0.0",
        "_model": "test1",
        "_pkgname": "com.yanjing.yami",
        "_campaignid": 'default',
        "_deviceid": randomUtil.r.randimei(),
        "_imei": randomUtil.r.randimei(),
        # "_idfa": 'DBC13622-E34B-440C-B7A7-FB6641D0D9AB',
        # "_androidid": "43214532142142",
        # "_imei2":"324323AAAA",
        # "_meid": "CCC324323",
        "_ip": randomUtil.r.randip(),
        # "_ipv6": i,
        '_manufacturer': "HUAWEI",
        '_ryos': "Android",
        '_rydevicetype': "LYA-AL00",
        '_network': "WIFI",
        '_resolution': "1080*2265",
        '_op': "中国移动",
        '_timestamp': int(round(time.time() * 1000)),
        '_oaid': '234B9U1T-A274-ED22-CEBF-4B6DDDFC18A9',
        # '_mac': "12321321321321321",
        "_istablet": "phone",
        "_lib": "Android",
        "_lib_version": "1.5.0",
    },
    # 'when': time.strftime('%Y-%m-%d %H:%M:%S', time.localtime(time.time())),
    # time.strftime('%Y-%m-%d %H:%M:%S', time.localtime(time.time()))
    # 'ds': ds,
    'who': 'lxx_test'
}

params_startup = {
    # 'what': 'startup',
    'appid': "9b17c1568c3ce34599c5fd2778483ff9",
    'context': {
        '_deviceid': "CFFEF74E-B6BF-BD16-E7F8-DFDBFF5FB6E1",
        '_imei': "cffef74e-b6bf-bd16-e7f8-dfdbff5fb6e1",
        '_androidid': "43214532142142",
        '_ip': "119.57.108.226",
        '_timestamp': int(round(time.time() * 1000)),
        "_lib_version": "1.5.0",
        # "_campaignid": 'default',
        # "_deviceid": i,
        # "_imei": i,
        # # "_idfa": '75463565745634546',
        # "_androidid": "424653325643",
        # # "_imei2":"324323AAAA",
        # # "_meid": "CCC324323",
        # "_ip": IP,
        # # "_ipv6": i,
        # '_manufacturer': manufacturer,
        # '_ryos': ryos,
        # '_rydevicetype': rydevicetype,
        # '_network': network,
        # '_resolution': resolution,
        # '_op': op,
        # '_timestamp': current_time_13,
        # '_oaid': '999b6e3e-a274-ed22-cebf-2b6dddfc29b7'
        # # '_mac':"565354131606"

    },
    # 'when': when,
    # 'ds': ds,
    'who': 'lxx_test'
}

params_login = {
            # 'what': 'loggedin',
            'appid': prod['events']['appkey'],
            'context': {
                '_deviceid': randomUtil.r.randimei(),
                '_imei': randomUtil.r.randimei(),
                '_androidid': randomUtil.r.randimei(),
                '_ip': randomUtil.r.randip(),
                '_ryos': "Android",
                "_lib_version": "1.5.0",
                # '_rydevicetype': rydevicetype,
                '_timestamp': int(round(time.time() * 1000)),
                # "_idfa": "00000000-0000-0000-0000-000000000000",
                # "_idfv": ""
            },
            # 'when': time.strftime('%Y-%m-%d %H:%M:%S', time.localtime(time.time())),
            # 'ds': ds,
            'who': 'lxx_test'
}